Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.tga
Class TGAEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiEncoderBase
                  |
                  +--com.sun.jimi.core.encoder.tga.TGAEncoder

public class TGAEncoder
extends JimiEncoderBase
implements TGAEncoderIfc

Save out image data in a TGA File format. Handles 24bpp and 8bpp.

Fields inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`currentImage, DONE, ERROR, factory, MAX_COLORS_RGB, MULTIIMAGE, NEXTIMAGE`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`TGAEncoder()`

Method Summary
`protected TGAEncoderIfc` | `createEncoderForImage(AdaptiveRasterImage image)`
`boolean` | `driveEncoder()` This only runs once therefore no state handling to deal with
`void` | `encodeTGA(AdaptiveRasterImage ji, LEDataOutputStream out)`
`void` | `freeEncoder()`
`int` | `getState()`
`protected void` | `initSpecificEncoder(java.io.OutputStream out, AdaptiveRasterImage ji)` intialise the required pieces for output of a TGA file

Methods inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`createAdaptiveRasterImage, createAdaptiveRasterImage, encodeImage, encodeImage, encodeImages, encodeImages, getCapabilties, getJimiImage, getMaxColors, setJimiImage, setNumberOfImages, setProgress`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TGAEncoder

    public TGAEncoder()

Method Detail

### initSpecificEncoder

    protected void initSpecificEncoder(java.io.OutputStream out,
                                       AdaptiveRasterImage ji)
                                throws JimiException

  intialise the required pieces for output of a TGA file
  Overrides:
    initSpecificEncoder in class JimiEncoderBase

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

  This only runs once therefore no state handling to deal with
  Overrides:
    driveEncoder in class JimiEncoderBase

### freeEncoder

    public void freeEncoder()
                     throws JimiException

  Overrides:
    freeEncoder in class JimiEncoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiEncoderBase

### encodeTGA

    public void encodeTGA(AdaptiveRasterImage ji,
                          LEDataOutputStream out)
                   throws JimiException

  Specified by:
    encodeTGA in interface TGAEncoderIfc

### createEncoderForImage

    protected TGAEncoderIfc createEncoderForImage(AdaptiveRasterImage image)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD